﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace FasterUltraGrid
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
		}

		private void OnStopClick(object sender, RoutedEventArgs e)
		{
			((CarsBusinessLogic)(((ObjectDataProvider)Resources["CarData"]).ObjectInstance)).Stop();
		}

		private void OnStartClick(object sender, RoutedEventArgs e)
		{
			((CarsBusinessLogic)(((ObjectDataProvider)Resources["CarData"]).ObjectInstance)).Start();
		}

		private void xamDataGrid_InitializeRecord(object sender, Infragistics.Windows.DataPresenter.Events.InitializeRecordEventArgs e)
		{
			if (xamDataGrid.IsGroupByAreaExpanded)
			{
				if (xamDataGrid.Records != null)
				{
					xamDataGrid.Records.RefreshSort();
				}
			}
		}
	}
}
